Subject: Re: bug#8463: 24.0.50; [PATCH] Direct Edit in *Occur* Buffer

From: Chong Yidong <[email-masked]>
Date: Sat, 17 Sep 2011 17:28:13 -0400

Juri Linkov <[email-masked]> writes:

> But there is a greater drawback: stealing the `C-x C-q' keybinding
> from `toggle-read-only' and putting read-only properties on the
> *Occur* buffer is unacceptable.  I'm used to run `flush-lines' and
> `keep-lines' to narrow the search results, but can't do this anymore.
> This is a regression.

OK, I rebound occur-edit-mode to "e" and removed the read-only
properties, with some additional code changes to make Occur Edit mode
work without requiring read-only text.

As for the other issue of single-char commands not being usable in
non-read-only Occur mode, we could handle it in a way similar to diff
mode (via minor-mode-overriding-map-alist), but that is for another day.